<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="./css/mousemove/mousemove-clip-path.css">
    <title>Document</title>
</head>
<body>
    <section class="banner"></section>
    <div class="content">
        <h2>CSS Clip-path Mousemove Effects</h2>
        <p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Aperiam, rerum. Quis, illo vitae dolore tenetur quidem assumenda! Eum, consequatur architecto?</p>
        <script type="text/javascript">
            var pos=document.documentElement;
            pos.addEventListener("mousemove",e=>{
                pos.style.setProperty('--x',e.clientX + "px");
                pos.style.setProperty('--y', e.clientY + "px")
            })
        </script>
    </div>
</body>
</html>